Plugin error from dada2 about Rcmdr

Hi.
I'm having trouble with an error at the denoising step, so please let me know.

(qiime2-2021.2) [email protected] start2 % qiime dada2 denoise-paired --i-demultiplexed-seqs paired-end-demux.qza --o-table table.qza --o-representative-sequences rep-seqs.qza --p-trim-left-f 17 --p-trim-left-r 21 --p-trunc-len-f 280 --p-trunc-len-r 250 --o-denoising-stats stats-dada2.qza --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/forward /var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/reverse /var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/output.tsv.biom /var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/track.tsv /var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/filt_f /var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/filt_r 280 250 17 21 2.0 2.0 2 independent consensus 1.0 1 1000000

library(Rcmdr) でエラー: ‘Rcmdr’ という名前のパッケージはありません
実行が停止されました
Traceback (most recent call last):
File "/Users/ユーザー名/opt/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 264, in denoise_paired
run_commands([cmd])
File "/Users/ユーザー名/opt/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
subprocess.run(cmd, check=True)
File "/Users/ユーザー名/opt/miniconda3/envs/qiime2-2021.2/lib/python3.6/subprocess.py", line 438, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['run_dada_paired.R', '/var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/forward', '/var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/reverse', '/var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/output.tsv.biom', '/var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/track.tsv', '/var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/filt_f', '/var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/filt_r', '280', '250', '17', '21', '2.0', '2.0', '2', 'independent', 'consensus', '1.0', '1', '1000000']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Users/ユーザー名/opt/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/q2cli/commands.py", line 329, in call
results = action(**arguments)
File "", line 2, in denoise_paired
File "/Users/ユーザー名/opt/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/qiime2/sdk/action.py", line 245, in bound_callable
output_types, provenance)
File "/Users/ユーザー名/opt/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/qiime2/sdk/action.py", line 390, in callable_executor
output_views = self._callable(**view_args)
File "/Users/ユーザー名/opt/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 279, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

I used to be able to denoise with no problem.
Is it related to the fact that I downloaded ezR afterwards?

library(Rcmdr) でエラー: ‘Rcmdr’ という名前のパッケージはありません
実行が停止されました
This message means "There is no package called 'Rcmdr'" in Japanese,
so I deleted ezR and R then installed Rcmdr again but it dosen't work.

Hi @yokmok,

I'm not sure if the presence of ezR was the source of the issue - but I do wonder if there is something that was removed from your qiime2-2021.2 conda environment that may be impacting your success with dada2. Can you try installing the latest version of QIIME 2 and switch to that conda environment before attempting to run dada2 once more? Instructions for natively installing QIIME 2 can be found here, for your reference.

Hopefully this resolves the issue! :crossed_fingers:t3:

Cheers,
Liz

Thank you for reply.
I removed old version(qiime2-2021.2), then installed latest version (qiime2-2021.4) but the results and error messages were same.
Dose Rcmdr has anything to do with qiime2?
I didn't get this error in the beginning.
I'm in a lot of trouble.

Hi @yokmok,

Thanks for giving that a try!

It does not - I'm not too familiar with Rcmdr, but from my understanding it's just a GUI for the R programming language. How have you been running all of your QIIME 2 commands prior to this issue? Were you just using the QIIME 2 CLI? Any other recent changes to your machine, network, or server that you can think of?

Sorry for the late reply.
In the end, I removed R completely and it works fine now!
The problem was that it interfered when setting up a program called ezR, which is mainly used in Japan.
Thank you for your big effort.

1 Like

@yokmok ah that's great news, so glad to hear it! :partying_face: Thanks for following up and closing the loop on this one!

Cheers,
Liz